/*
 * $Id$
 *
 * sanyoz3 - header files for Sanyo Z3 RS232 Management
 *
 * Copyright (c) 2005 Harald Klein <hari@vt100.at>
 *
 * GPL or BSD License applies in licensee preferred version.
 *
 */



/* hints */
#define VIDOD_SANYOZ3_LINE_TERMINATION 0x0D
#define VIDOD_SANYOZ3_EXEC_REPLY_OK 0x06
#define VIDOD_SANYOZ3_EXEC_REPLY_ERR "?"

/* command read definitions */
#define SANYOZ3_READ_STATUS	"CR0"
#define SANYOZ3_READ_INPUT	"CR1"
#define SANYOZ3_READ_LAMP	"CR3"
#define SANYOZ3_READ_SETTING	"CR4"
#define SANYOZ3_READ_TEMP	"CR6"

/* replies for CR0 */
#define SANYOZ3_SC_POWER_ON 			"00"
#define SANYOZ3_SC_POWER_FAILURE 		"10"
#define SANYOZ3_SC_POWER_SAVE 			"10"
#define SANYOZ3_SC_PROC_COUNT_DOWN		"40"
#define SANYOZ3_SC_PROC_COOL_DOWN		"20"
#define SANYOZ3_SC_PROC_COOL_DOWN_TEMP		"28"
#define SANYOZ3_SC_PROC_COOL_DOWN_PWRSV		"24"
#define SANYOZ3_SC_RECOVER_ABNORMAL_TEMP	"88"

/* replies for CR1 */
#define SANYOZ3_IM_VIDEO	"0"
#define SANYOZ3_IM_SVIDEO	"1"
#define SANYOZ3_IM_COMPONENT1	"2"
#define SANYOZ3_IM_COMPONENT2	"3"
#define SANYOZ3_IM_HDMI		"4"
#define SANYOZ3_IM_COMPUTER	"5"
#define SANYOZ3_IM_SCART	"6"

/* replies for CR4 */
#define SANYOZ3_SET_NORMAL	"11"
#define SANYOZ3_SET_MOUNT	"10"
#define SANYOZ3_SET_REAR	"01"
#define SANYOZ3_SET_CEILING	"00"

/* command definitions */
#define SANYOZ3_CMD_POWER_ON		"C00"
#define SANYOZ3_CMD_POWER_OFF_QUICK	"C01"
#define SANYOZ3_CMD_POWER_OFF		"C02"
#define SANYOZ3_CMD_VIDEO_MUTE_ON	"C0D"
#define SANYOZ3_CMD_VIDEO_MUTE_OFF	"C0E"
#define SANYOZ3_CMD_SCREEN_SIZE_NORMAL	"C0F"
#define SANYOZ3_CMD_SCREEN_SIZE_FULL	"C10"
#define SANYOZ3_CMD_IMAGE_VIDEO		"C11"
#define SANYOZ3_CMD_IMAGE_CCINEMA	"C12"
#define SANYOZ3_CMD_IMAGE_PCINEMA	"C13"
#define SANYOZ3_CMD_IMAGE_1		"C14"
#define SANYOZ3_CMD_IMAGE_2		"C15"
#define SANYOZ3_CMD_IMAGE_3		"C16"
#define SANYOZ3_CMD_IMAGE_4		"C17"
#define SANYOZ3_CMD_IMAGE_GRAPHIC	"C18"
#define SANYOZ3_CMD_IMAGE_DYNAMIC	"C19"
#define SANYOZ3_CMD_IMAGE_POWERFUL	"C1A"
#define SANYOZ3_CMD_IMAGE_NATURAL	"C1B"
#define SANYOZ3_CMD_MENU_ON		"C1C"
#define SANYOZ3_CMD_MENU_OFF		"C1D"
#define SANYOZ3_CMD_DISPLAY_CLEAR	"C1E"
#define SANYOZ3_CMD_SOURCE_VIDEO	"C23"
#define SANYOZ3_CMD_SOURCE_SVIDEO	"C24"
#define SANYOZ3_CMD_SOURCE_COMPONENT1	"C25"
#define SANYOZ3_CMD_SOURCE_COMPONENT2	"C26"
#define SANYOZ3_CMD_POWERMGMT_ON	"C2A"
#define SANYOZ3_CMD_POWERMGMT_OFF	"C2B"
#define SANYOZ3_CMD_SCREEN_SIZE_ZOOM		"C2C"
#define SANYOZ3_CMD_SCREEN_SIZE_NATURAL1	"C2D"
#define SANYOZ3_CMD_SCREEN_SIZE_NATURAL2	"C2E"
#define SANYOZ3_CMD_SCREEN_SIZE_TRUE		"C2F"
#define SANYOZ3_CMD_SCREEN_SIZE_DIGITAL		"C30"
#define SANYOZ3_CMD_POINTER_RIGHT	"C3A"
#define SANYOZ3_CMD_POINTER_LEFT	"C3B"
#define SANYOZ3_CMD_POINTER_UP		"C3C"
#define SANYOZ3_CMD_POINTER_DOWN	"C3D"
#define SANYOZ3_CMD_ENTER		"C3F"
#define SANYOZ3_CMD_CANCEL		"C40"
#define SANYOZ3_CMD_FACTORY_RESET	"C4C"
#define SANYOZ3_CMD_SOURCE_COMPUTER	"C50"
#define SANYOZ3_CMD_SOURCE_SCART	"C51"
#define SANYOZ3_CMD_SOURCE_HDMI		"C53"
#define SANYOZ3_CMD_SCREEN_SIZE_CAPTION1	"C63"
#define SANYOZ3_CMD_SCREEN_SIZE_CAPTION2	"C64"
#define SANYOZ3_CMD_SCREEN_SIZE_FULL_THROUGH	"C65"
#define SANYOZ3_CMD_SCREEN_SIZE_NORMAL_THROUGH	"C66"
#define SANYOZ3_CMD_LAMP_AUTO1		"C72"
#define SANYOZ3_CMD_LAMP_AUTO2		"C73"
#define SANYOZ3_CMD_LAMP_NORMAL		"C74"
#define SANYOZ3_CMD_LAMP_ECO		"C75"
#define SANYOZ3_CMD_CEILING_ON		"C76"
#define SANYOZ3_CMD_CEILING_OFF		"C77"
#define SANYOZ3_CMD_REAR_ON		"C78"
#define SANYOZ3_CMD_REAR_OFF		"C79"
#define SANYOZ3_CMD_LOGO_OFF		"C7A"
#define SANYOZ3_CMD_LOGO_DEFAULT	"C7B"
#define SANYOZ3_CMD_LOGO_USER		"C7C"
#define SANYOZ3_CMD_LOGO_CAPTURE	"C7D"
#define SANYOZ3_CMD_LOGO_PICTURE_ON	"C7E"
#define SANYOZ3_CMD_AUTO_PC_ADJUST	"C89"
#define SANYOZ3_CMD_KEYSTONE_UP		"C8E"
#define SANYOZ3_CMD_KEYSTONE_DOWN	"C8F"

/*
 * $Log$
 *
 */

